%global pkgname Xfce-Theme-Manager 
Name:		xfce-theme-manager	
Version:	0.1.20
Release:	1%{?dist}
Summary:	A theme manager for Xfce
License:	GPLv3
URL:		http://xfce-look.org/content/show.php?content=149647
Source0:	http://keithhedger.hostingsiteforfree.com/zips/xfcethememanager/%{pkgname}-%{version}.tar.gz

Patch1:		xfce-theme-manager-fix-strip-debug.patch
BuildRequires:	pkgconfig(gdk-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	desktop-file-utils
BuildRequires:	cairo-devel


%description
A theme manager allowing easy configuration of themes, 
window borders, controls, icons and cursors for Xfce

%prep
%setup -q -n  %{pkgname}-%{version}
%patch1 -p1
%build
make %{?_smp_mflags} CXXFLAGS="%{optflags} -Wunused -Wunused-function -Wno-unused-result -lXcursor -lgthread-2.0 `pkg-config --cflags --libs glib-2.0` `pkg-config --cflags --libs gdk-2.0` `pkg-config --cflags --libs gtk+-2.0` -DGTK_DISABLE_DEPRECATED -DGTK_DISABLE_SINGLE_INCLUDES -DGDK_DISABLE_DEPRECATED -DGSEAL_ENABLE `pkg-config --cflags --libs libxfce4ui-1` -DGOT_LIBXFCEUI"

%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}
desktop-file-install	\
--delete-original	\
--dir=%{buildroot}%{_datadir}/applications	\
--remove-key=Categories	\
--add-category=GTK	\
--add-category=Settings	\
--add-category=DesktopSettings	\
--add-category=X-XFCE-SettingsDialog	\
--add-category=X-XFCE-PersonalSettings	\
--add-category=X-XFCE \
--set-name="Xfce Theme Manager"	\
%{buildroot}/%{_datadir}/applications/%{pkgname}.desktop
find %{buildroot} -name 'xfce-theme-manager' | xargs chmod 0755

%files
%doc README* ChangeLog* gpl-3.0.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{pkgname}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*
%{_mandir}/es/man1/%{name}.1.*
%{_mandir}/de/man1/%{name}.1.*


%changelog
* Sat Dec 08 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.20-1
- Update to version 0.1.20

* Fri Nov 30 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.19-3
- Remove mirrored Source0 and added original url

* Mon Nov 26 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.19-2
- Added comments on how to download the source
- Created man page for the application
- Patch the build process to use the normal rpm opt flags
- Added parameter -g to g++ in patch file to prepare the application to use GDB

* Sun Nov 18 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.19-1
- Update to version 0.1.19 with license included

* Mon Nov 12 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.18-1
- Initial packaging
